Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357461 - Incorrect host cpu is given to emulator threads when cpu_realtime_mask flag is set.
Summary: Incorrect host cpu is given to emulator threads when cpu_realtime_mask flag i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 8.0 (Liberty)
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: ---
Assignee: Sahid Ferdjaoui
QA Contact: Prasanth Anbalagan
URL:
Whiteboard:
Depends On:
Blocks: 1391927 1392019 1392367
TreeView+ depends on / blocked
 
Reported: 2016-07-18 09:42 UTC by Peng Liu
Modified: 2016-12-21 16:39 UTC (History)
14 users (show)

Fixed In Version: openstack-nova-12.0.5-7.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1391927 (view as bug list)
Environment:
Last Closed: 2016-12-21 16:39:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2991 normal SHIPPED_LIVE Moderate: openstack-cinder, openstack-glance, and openstack-nova update 2016-12-21 21:34:31 UTC
OpenStack gerrit 356383 None None None 2016-08-17 10:56:39 UTC
Red Hat Bugzilla 1298079 None CLOSED [RFE] - Provide option in Nova to configure emulator threads to run on dedicated physical CPU's 2019-03-05 19:40:22 UTC

Internal Links: 1298079

Description Peng Liu 2016-07-18 09:42:05 UTC
Description of problem:
When using the cpu_realtime and cpu_realtim_mask flag to create new instance, the 'cpuset' of 'emulatorpin' option is using the id of vcpu which is incorrect. The id of host cpu should be used here.

e.g.
  <cputune>
    <vcpupin vcpu='0' cpuset='2'/>
    <vcpupin vcpu='1' cpuset='3'/>
    <emulatorpin cpuset='0'/>          ### the cpuset should be '2' here, when cpu_realtime_mask=^0.  
    <vcpusched vcpus='1' scheduler='fifo' priority='1'/>
  </cputune>

Version-Release number of selected component (if applicable):
1:12.0.2-5.el7ost

How reproducible:
Boot new instance with cpu_realtime_mask flavor.

Steps to Reproduce:
1. Create RT flavor
nova flavor-create m1.small.performance 6 2048 20 2
nova flavor-key m1.small.performance set hw:cpu_realtime=yes
nova flavor-key m1.small.performance set hw:cpu_realtime_mask=^0
nova flavor-key m1.small.performance set hw:cpu_policy=dedicated
2. Boot a instance with this flavor
3. Check the xml of the new instance

Actual results:
  <cputune>
    <vcpupin vcpu='0' cpuset='2'/>
    <vcpupin vcpu='1' cpuset='3'/>
    <emulatorpin cpuset='0'/>          
    <vcpusched vcpus='1' scheduler='fifo' priority='1'/>
  </cputune>

Expected results:
  <cputune>
    <vcpupin vcpu='0' cpuset='2'/>
    <vcpupin vcpu='1' cpuset='3'/>
    <emulatorpin cpuset='2'/>          
    <vcpusched vcpus='1' scheduler='fifo' priority='1'/>
  </cputune>

Additional info:

Comment 6 errata-xmlrpc 2016-12-21 16:39:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2991.html


Note You need to log in before you can comment on or make changes to this bug.